### File

`packages/components/eui-calendar/models.ts`

### Description

Interface for defining a day in the calendar.

### Index

###### Properties
date id Optional isToday Optional isWeekend metadata

### Properties

date
`date: `Date``
Type : `Date`
Date object representing the day

id
`id: `number``
Type : `number`
Unique identifier for the day

isToday
`isToday: `boolean``
Type : `boolean`
Optional
Indicates if the day is today (based on user's Machine day)

isWeekend
`isWeekend: `boolean``
Type : `boolean`
Optional
Indicates if the day a weekend (Saturday, Sunday)

metadata
`metadata: `Signal<EuiCalendarEvent[]>``
Type : `Signal<EuiCalendarEvent[]>`
Metadata associated with the day

# results matching ""

# No results matching ""